Grist Octri Preview
PATCH/docs/{docId}/tables/{tableId}/columns

Modify columns in a table

Updates metadata for existing columns in a table. Identify each column by its id and provide the changes in its fields object.

  • IdempotentThe SDK sends Idempotency-Key, so a retried request is only applied once.

2 parameters · 1 body field
docIdstringrequired
The document identifier in UUID format.
tableIdstringrequired
The normalized table name or the numeric row ID in `_grist_Tables`.

Column changes for a table. Each item in the required columns array must include a column id and a fields object.

columnsarray<object>required
The columns to change. Each item identifies a column with `id` and supplies its changes in `fields`.

1 status code
200Returns confirmation that the column metadata updates were applied.

Error handling

The docId path parameter must identify a document, and the tableId path parameter must identify a table by its normalized name or numeric row ID. The columns array is required, and each item must include a column id and a fields object.